View Single Post
Old 6th May 2017
  #1
Harrison Mixbus - Please do the right thing - Free Upgrade from v2 please

This is the start of my public campaign to bring the management of the business that owns Harrison Mixbus to account and to do the right thing.

This is further to my personal emails to them, for which I never received any answers.

I am certain I am not the only one in this position and use this medium to solicit support from others to get Harrison Mixbus management to do the right thing.

Give all those who paid for well known poorly functioning versions of their software a free upgrade to the current version.

Without the opportunity of a demo version, to check if the software worked properly, I paid in full for version 2. It never worked reliably, after a few months of trying everything including upgrading to the most recent release of the version 2, it still did not work reliably.

I therefore have had to stop using it, period.

Then I receive entreaties from the company via email, to upgrade to version 3 and later on to version 4, and am expected to pay for this. This is simply unconscionable - ridiculous and unfair? What happened to my investment that never gave me any value.

Could the management and team behind Harrison Mixbus do what is fair - reward those who invested in the business, by paying for copies of their software, with proper functioning versions of what they paid for, or a free upgrade to a version that works properly. This is only fair.

I will never pay for any further upgrades, until I am issued a copy of Harrison Mixbus that works properly and is stable.

It is most unreasonable to expect me to pay again, for something that never worked properly, especially as there, at the time was never an option to try before I buy.

I hope there would be enough of us - thoroughly upset by our written off investment in Harrison Mixbus version 2 or earlier, to cause those who need to rethink their customer service and loyalty to their paying customers, to do the right thing. - Give us a free upgrade to version 4.